<?php
session_start();
include "../../inc/config.php";
session_check();
switch ($_GET["act"]) {
  case "in":
  
  
  
  $data = array("unidadmedia"=>$_POST["unidadmedia"],"descripcion"=>$_POST["descripcion"],);
  
  
  
   
    $in = $db->insert("unidadmedia",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
  case "delete":
    
    
    
    $db->delete("unidadmedia","idunidadmedia",$_GET["id"]);
    break;
  case "up":
   $data = array("unidadmedia"=>$_POST["unidadmedia"],"descripcion"=>$_POST["descripcion"],);
   
   
   

    
    $up = $db->update("unidadmedia",$data,"idunidadmedia",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>